[14-Feb-2023] Events Booking version 4.4.1 release

  • Tuan Pham Ngoc
  • Topic Author
  • Offline
  • Administrator
  • Administrator
More
1 year 3 months ago #156471 by Tuan Pham Ngoc
Dear customers

Today, I am happy to announce new version of Events Booking 4.4.1 with the following improvements and some small bugs fixes:

1. Export Registrants Improvements
- Support Export Templates while exporting registrants from frontend registrants management
- Add options to allow exporting more fields: Tax Rate, Language.

2. Custom Fees Improvement
- If you are using custom fee fields and want to show fee value associated with each custom fields (usually in invoice or in email messages), it is now possible. Just use the syntax [NAME_OF_FIELD_FEE_VALUE] . For example, if name of custom field is ticket_type, then you can use tag [TICKET_TYPE_FEE_VALUE]

3. Change Show Children Events Behavior
- Before this release, if you have Show Children Events In Parent Event Detail Page config option set to Yes, children events won't be shown on events list page (via menu items or in upcoming events module). From this release, whether children events show on events list or not is independent with the mentioned config option. It will be controlled by Hide Children Events parameter in the menu item or by Show Children Events parameter in upcoming events module (so the parameters will always be respected now)

4. CSS Class Mapping
If you want to replace certain css class used by Events Booking by a different css class (comes from your template), you can now go to Events Booking -> Configuration, look at CCS Class Mapping tab, add the mapping (Original Css Class -> New Css Class) and it will work as you want. You won't have to edit code to change css class anymore, just add the mapping you need when it is needed

5. PHP 8.2 Compatible
- Work done to make the extension fully compatible with PHP 8
- We also spent time to improve code quality of the extension with the help of the excellent tools from PHP community like PHP CS Fixer and Rector.

6. Other Small Improvements
Added setting to allow control number of records displayed on Public Registrants List
- Support WebP images format for categories and events
- Support showon behavior for event custom fields
- Allow setup separate Agendas and Speakers for children events if required (supported by new parameters in these plugins)

7. Bugs Fixes
- Fixed small bugs in payment processing library for PayFast and BluePay payment gateway
- Do not add waiting list users to ACYMailing Lists
- Make sure full calendar uses right language.
- Receive Confirmation Email feature in custom field is now also working with waiting list

Please update your site to this latest version of Events Booking to use these improvements and have these small bugs fixed. Thanks for continue using our products and support our development.

Regards,

Tuan
The following user(s) said Thank You: Alison, Sunil

Please Log in or Create an account to join the conversation.

More
1 year 3 months ago #156479 by Sunil
Thanks for the update Tuan.
Just wanted to check on the bugfix for the Payfast gateway. Do we need to re-install the payment plugin ?

Please Log in or Create an account to join the conversation.

  • Tuan Pham Ngoc
  • Topic Author
  • Offline
  • Administrator
  • Administrator
More
1 year 3 months ago #156480 by Tuan Pham Ngoc
Replied by Tuan Pham Ngoc on topic [14-Feb-2023] Events Booking version 4.4.1 release
Hi Sunil

No, you do not update the payment plugin. Just update the extension is enough

Regards,

Tuan
The following user(s) said Thank You: Sunil

Please Log in or Create an account to join the conversation.

More
1 year 3 months ago #156583 by Thomas Zuechner
Replied by Thomas Zuechner on topic [14-Feb-2023] Events Booking version 4.4.1 release
Hi Tuan,

when trying tu update I got an error message :

Failed to download package. Download it and install manually from joomdonation.com/index.php?option=com_dm...ckage&document_id=56 .

Please Log in or Create an account to join the conversation.

  • Tuan Pham Ngoc
  • Topic Author
  • Offline
  • Administrator
  • Administrator
More
1 year 3 months ago #156590 by Tuan Pham Ngoc
Replied by Tuan Pham Ngoc on topic [14-Feb-2023] Events Booking version 4.4.1 release
Hi Thomas

1. Please make sure your subscription for Events Booking is still active

2. Make sure you configured Download ID as described in this documentation eventbookingdoc.joomservices.com/getting...on#use-joomla-update

If you still cannot get it updated, submit a support ticket sending us super admin account of your site. We will check to see why update does not work and get it sorted for you

Regards,

Tuan

Please Log in or Create an account to join the conversation.

More
1 year 3 months ago #156717 by Kevin Kino
Hi Tuan,

I know you been talking about having a minimum PHP level of 7.4 and I am currently stuck at 7.3, does release 4.4.1 require 7.4 PHP? I don't want to installed the update and break your application due to a to old PHP version.

Thanks,

Kevin

Please Log in or Create an account to join the conversation.

  • Tuan Pham Ngoc
  • Topic Author
  • Offline
  • Administrator
  • Administrator
More
1 year 3 months ago #156718 by Tuan Pham Ngoc
Replied by Tuan Pham Ngoc on topic [14-Feb-2023] Events Booking version 4.4.1 release
Hi Kevin

Version 4.4.1 still works well with PHP 7.2.0+, so you can install it. When there is new version release, feel free to update. We have check in the code so that if the requirement does not meet, it won't be updated/installed, so nothing will break your site. Don't worry

But not sure why you cannot update to PHP 7.4. It should be safe to update from 7.3 to 7.4, just ask your hosting provider do that for you

Regards,

Tuan

Please Log in or Create an account to join the conversation.

More
1 year 3 months ago #156788 by Kevin Kino
Thanks for the update. I am currently stuck on PHP 7.3 due to my ecommerce platform which is Prestashop. They have been really bad with keeping up on their requirements on PHP. So if I raise my PHP level above 7.3 it breaks 3 ecommerce systems I run. SO unfortunately I stuck right now because of Go Daddy is not allowing me to have 2 PHP levels on my hosting service at once so I have to find a way to build out a newer version of my Prestashop which require higher PHP to configure and migrate but if I do that I break my currently running versions and lose sales.

Working on a plan, but thank you again letting me know I can upgrade your application release.

Kevin

Please Log in or Create an account to join the conversation.

  • Tuan Pham Ngoc
  • Topic Author
  • Offline
  • Administrator
  • Administrator
More
1 year 3 months ago #156817 by Tuan Pham Ngoc
Replied by Tuan Pham Ngoc on topic [14-Feb-2023] Events Booking version 4.4.1 release
OK Kevin. I will try to keep support for PHP below than 7.4 some more times. Use PHP 7.4 will allow me to update the extension to use latest version of some libraries which it depends on, and also allows me to write more modern code. But I could wait for some more time before actual doing that

(From our records, only few customers are using PHP 7.3 and below, most are on PHP 7.4 and PHP 8 now)

Regards,

Tuan

Please Log in or Create an account to join the conversation.

  • Rudolf Weissenegger
  • Offline
  • New Member
  • New Member
More
1 year 2 months ago #157493 by Rudolf Weissenegger
Replied by Rudolf Weissenegger on topic [14-Feb-2023] Events Booking version 4.4.1 release
Hey Tuan,

I noticed only today that this update changed also the behaviour in the module "Categories - Columns Layout".
It now shows all children events and I cannot find any option to hide them.

Did the update to the version 4.4.3 but nothing changed.
Can you please tell me how to hide the children events in the in the module "Categories - Columns Layout"?

Thank you,
Rudolf

Please Log in or Create an account to join the conversation.